summaryrefslogtreecommitdiffstats
path: root/remoting/scripts/mac/dump_product_syms
diff options
context:
space:
mode:
Diffstat (limited to 'remoting/scripts/mac/dump_product_syms')
-rwxr-xr-xremoting/scripts/mac/dump_product_syms30
1 files changed, 19 insertions, 11 deletions
diff --git a/remoting/scripts/mac/dump_product_syms b/remoting/scripts/mac/dump_product_syms
index cc54a97..7c53948 100755
--- a/remoting/scripts/mac/dump_product_syms
+++ b/remoting/scripts/mac/dump_product_syms
@@ -6,22 +6,30 @@
set -eu
-if [[ "$#" -ne 3 ]]; then
- echo "$0 <dump_syms_tool> <mac_bundle> <breakpad_symbols>" >&2
+if [[ "$#" -ne 1 ]]; then
+ echo "usage: $0 <version>" >&2
+ echo "(BUILT_PRODUCTS_DIR and FULL_PRODUCT_NAME must be set)" >& 2
exit 1
fi
-DUMP_SYMS_TOOL="$1"
-SOURCE_BUNDLE="$2"
-BREAKPAD_SYMBOLS="$3"
-
-ARCH="i386"
+VERSION="$1"
+DUMP_SYMS_TOOL="${BUILT_PRODUCTS_DIR}/dump_syms"
+SOURCE_BUNDLE="${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}"
# Filename of bundle, minus the file extension.
STEM="$(basename "${SOURCE_BUNDLE%.*}")"
DWARF_PATH="${SOURCE_BUNDLE}.dSYM/Contents/Resources/DWARF/${STEM}"
-# Use -c to avoid dumping CFI, because the Breakpad stackwalk is incompatible
-# with CFI produced by clang.
-# http://code.google.com/p/google-breakpad/issues/detail?id=443
-"${DUMP_SYMS_TOOL}" -a "${ARCH}" -c "${DWARF_PATH}" > "${BREAKPAD_SYMBOLS}"
+ARCHS=$(file "${DWARF_PATH}" | sed -Ene 's/^.*(i386|x86_64)$/\1/p')
+if [[ -z "${ARCHS}" ]]; then
+ echo "$0: expected something dumpable in ${DWARF_PATH}" >& 2
+ exit 1
+fi
+
+for ARCH in ${ARCHS}; do
+ # Use -c to avoid dumping CFI, because the Breakpad stackwalk is incompatible
+ # with CFI produced by clang.
+ # http://code.google.com/p/google-breakpad/issues/detail?id=443
+ "${DUMP_SYMS_TOOL}" -a "${ARCH}" -c "${DWARF_PATH}" > \
+ "${SOURCE_BUNDLE}-${VERSION}-${ARCH}.breakpad"
+done